Dedicated IP-adres autoriseren
dedicated IP autoriseren
curl --request POST \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/dedicated-ips/{dedicated_ip_id}/authorize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reissue": false
}
'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/dedicated-ips/{dedicated_ip_id}/authorize"
payload = { "reissue": False }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reissue: false})
};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/dedicated-ips/{dedicated_ip_id}/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "<string>",
"type": "<string>",
"asn": 123,
"country_code": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"ip_addresses": [
{
"ip": "<string>",
"fcrdns_confirmed": false,
"healthy": true,
"rdns": "<string>"
}
],
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Autorisaties
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Body
Aanvraagbody voor het autoriseren van een BYOH dedicated IP.
Forceer opnieuw uitgeven van setup key, zelfs als er al één bestaat
Respons
Speciale IP UUID
Voor de klant zichtbare speciale IP-naam
Inrichtings- of levenscyclusstatus
Speciaal toewijzingstype IP
Autonoom systeemnummer voor de toewijzing
ISO-landcode voor de toewijzing
Tijdstempel van creatie
Openbare adressen in deze toewijzing
Hide child attributes
Hide child attributes
Openbaar IP-adres
Of voorwaarts bevestigde achteruit DNS is geslaagd
Huidige gezondheidsstatus, indien beschikbaar
Keer de hostnaam DNS om indien geconfigureerd
Tijdstempel laatste update
Was deze pagina nuttig?
